CyanLight PCB Documentation
===========================

This `README` will give you a short introduction to the PCBs of this project


`CyanLightControl v1.1`
-----------------------

`ESP32` powered companion board for `CyanLight`.

Contains 3.3 V buck regulator for effiecency and an experimental IR receiver.
Mates directly with the LED boards for power and PWM signal connection via `Micropart-4` connector.

![PCB rendering](/doc/CyanLightControl.png "PCB rendering")

There never was a `v1.0` of this board.

### Pinout

| GPIO |    Function     |
|-----:|----------------:|
|  27  |  `PT4115` DIM   |
|  23  |     IR recv     |
|  25  | general purpose |
|  26  | general purpose |
|  32  | general purpose |
|  33  | general purpose |


`CyanLight` PCBs
----------------

### `10W`

Designed for the quadratic standard 10W LED modules. Running from at least 12V input voltage.

![PCB rendering](/doc/10W.png "PCB rendering")


### `HexPCB`

Designed for the standard 3W single-chip high power LEDs. Running from 12V - 24V depending of LED's forward voltage.
May be populated with up to 6 individual LEDs and contains `0805` footprints to bridge unpopulated LEDs with 0Ω resistors.

![PCB rendering](/doc/HexPCB.png "PCB rendering")

